システムエンジニアの技術LOG

Linux,RaspberryPi3のサーバ構築を中心に、Windows,Macの設定方法もシステムエンジニアが解説。Windows,Mac,Linux,RaspberryPi3のQ&Aサイトです。

Linux

【LinuxMint】owncloudのクライアントをインストールする方法(失敗編)

投稿日:

LinuxMintを自宅内LANのサーバとして活用しようと考えて、奮闘しています。

 以前の記事でowncloudを自宅サーバに設定・インストールが完了しました。

すでに、Macのクライアント 、Windows10のクライアントはインストール・設定済みなので、今回はLinuxMintにクライアントをインストール・設定してみましたが、失敗しました。
失敗例を記録しておきます。

やったこと

owncloudの公式ページにアクセス。
「Get your ownCloud」をクリックして、ダウンロードページへ。

owncloud-client

 
「Desktop Client」を選択。

owncloud-client2

ここは、「Linux」を選択。
Screenshot at 2016-05-09 03:26:24
 
最終的に開くのはこのページ

Screenshot at 2016-05-09 03:42:02

LinuxMintっていう選択肢はないので、一番近そうな「Ubuntu」を選択。
Clientではなくて、サーバ本体のときもUbuntuだったので問題ないと判断したのですが、うまくいかない。

サーバ本体のときと同じように、「apt」に追加している。

sudo sh -c "echo 'deb http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_15.10/ /' >> /etc/apt/sources.list.d/owncloud-client.list"
sudo apt-get update
sudo apt-get install owncloud-client

 
これを実行した結果、「install」すると、
下記のとおりで、何やら依存関係が解決しないため、インストールされない・・・。

パッケージリストを読み込んでいます... 完了

依存関係ツリーを作成しています                
状態情報を読み取っています... 完了
インストールすることができないパッケージがありました。おそらく、あり得
ない状況を要求したか、(不安定版ディストリビューションを使用しているの
であれば) 必要なパッケージがまだ作成されていなかったり Incoming から移
動されていないことが考えられます。
以下の情報がこの問題を解決するために役立つかもしれません:

以下のパッケージには満たせない依存関係があります:
 owncloud-client : 依存: libowncloudsync0 (= 2.1.1-2.1) しかし、インストールされようとしていません
                   依存: libstdc++6 (>= 5.2) しかし、4.8.4-2ubuntu1~14.04.1 はインストールされようとしています
                   依存: owncloud-client-l10n しかし、インストールされようとしていません
E: 問題を解決することができません。壊れた変更禁止パッケージがあります。

さて、依存関係の解消とか難しそうですが、そのうち何とかしようと思います。

-Linux

Copyright© システムエンジニアの技術LOG , 2018 All Rights Reserved Powered by AFFINGER5.